printf "\n" | chroot . /usr/share/roundcubemail/bin/update.sh 1>/dev/null
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/cron.daily/roundcubemail.new
( cd usr/share/roundcubemail/public_html ; rm -rf .htaccess )
( cd usr/share/roundcubemail/public_html ; ln -sf ../.htaccess .htaccess )
( cd usr/share/roundcubemail/public_html ; rm -rf plugins )
( cd usr/share/roundcubemail/public_html ; ln -sf ../plugins plugins )
( cd usr/share/roundcubemail/public_html/program ; rm -rf js )
( cd usr/share/roundcubemail/public_html/program ; ln -sf ../../program/js js )
( cd usr/share/roundcubemail/public_html/program ; rm -rf resources )
( cd usr/share/roundcubemail/public_html/program ; ln -sf ../../program/resources resources )
( cd usr/share/roundcubemail/public_html ; rm -rf skins )
( cd usr/share/roundcubemail/public_html ; ln -sf ../skins skins )
